//genesis
xstartup

function create_scale(name,lo,hi,ndivs,x,y,h)
	str name,lo,hi
	int ndivs,x,y,h
	int dy=ndivs/10

	create xform /{name} [{x},{y},40,{h}]
	create xdraw /{name}/draw [0%,0%,100%,100%]
	ce ^
	set wx 1 wy {ndivs + dy+dy} cy {ndivs/2.0 + dy}
	if (!{exists(/dummy)})
		create neutral /dummy
		if (!{exists(/scalearray)})
			createmap /dummy /scalearray 1 {ndivs}
		end
	end
	create xview scale 
	set ^ path /scalearray/dummy[] field y autoscale TRUE oy {dy}\
		autospace FALSE ny {ndivs - dy}
	create xshape lo -textcolor white -text {lo} -transfmode 1
	set lo ty {dy/2}
	create xshape hi -textcolor white -text {hi} -transfmode 1
	set hi ty {ndivs + dy + dy/2}
	ce /
end

function create_vert_scale(name,lo,hi,bot,top,ndivs)
	str name,lo,hi
	int top,bot,ndivs

	int i
	float y,dy
	if (!{exists(/xproto/draw/hbox)})
		create xshape /xproto/draw/hbox 
		set /xproto/draw/hbox coords [0,0,0][10,0,0] \
			linewidth 2 transfmode 1
	end
	createmap /xproto/draw/hbox {name} {ndivs} 1
	dy=top-bot-40
	dy=dy/ndivs
	y=top+20
	ce {name}
	for (i=1;i<=ndivs;i=i+1)
		set hbox[{i}] ty {y}
		y=y+dy
	end
	create xshape {name}/lo -pixcolor green -text {lo}
	set lo ty {top - 10}
	create xshape {name}/hi -pixcolor red -text {hi}
	set hi ty {bot + 10}
	ce /
end

create_scale foo -100 30 100 900 0 500
xshow /foo
