#include <stdio.h>
#include "header.h"


#define DEFAULT_NX 20
#define DEFAULT_NY 20
	
main(argc,argv)
	int	argc;
	char **argv;
{
	FILE	*fin,*fout,*fopen();

	int nx=DEFAULT_NX;
	int ny=DEFAULT_NY;
	float dt=1.0;
	int datatype=FLOAT;
	float val;

	if (argc<3) {
		printf("usage: %s infile outfile [nx ny]\n",argv[0]);
		exit(1);
	}
	if (argc==5) {
		nx=atoi(argv[3]);
		ny=atoi(argv[4]);
	}

	fin=fopen(argv[1],"r");
	fout=fopen(argv[2],"a");

	if (!fin || !fout) {
		printf("Could not open io files %s %s \n");
		exit(1);
	}

	nx--;
	ny--;
	fwrite(&nx,sizeof(int),1,fout);
	fwrite(&ny,sizeof(int),1,fout);
	nx++;
	ny++;
	fwrite(&dt,sizeof(float),1,fout);
	fwrite(&datatype,sizeof(int),1,fout);

	for(;fscanf(fin,"%f",&val)==1;)
		fwrite(&val,sizeof(float),1,fout);

	fclose(fin);
	fclose(fout);
}
