#include <stdio.h>
#include "header.h"


#define DEFAULT_NX 32
#define DEFAULT_NY 32
#define MATMAX 20000
	
main(argc,argv)
	int	argc;
	char **argv;
{
	FILE	*fin,*fout,*fopen();

	int nx=DEFAULT_NX;
	int ny=DEFAULT_NY;
	float dt=1.0;
	int datatype=FLOAT;
	float mat[MATMAX];
	int i,j,npts;

	if (argc<3) {
		printf("usage: %s infile outfile [nx ny]\n",argv[0]);
		exit(1);
	}
	if (argc==5) {
		nx=atoi(argv[3]);
		ny=atoi(argv[4]);
	}

	fin=fopen(argv[1],"r");
	fout=fopen(argv[2],"a");

	if (!fin || !fout) {
		printf("Could not open io files %s %s \n");
		exit(1);
	}

	npts=nx*ny;
	for(i=0;fscanf(fin,"%f",&(mat[i]))==1;) {
		i++;
		if (i >= npts) {
			for(j=0;j<npts;j++)
				fprintf(fout,"%f\n",mat[j/ny+(j%ny)*nx]);
			i=0;
		}
	}
	fclose(fin);
	fclose(fout);
}
